Summary: LaTeX macros for converting Jade TeX output into DVI/PS/PDF.
name: jadetex
Version: 2.3
Release: 2
Requires: sgml-common, tetex >= 0.9, tetex-latex >= 0.9
Vendor: Cygnus Solutions
Copyright: Copyright (C) 1995,1996,1997,1998 Sebastian Rahtz <s.rahtz@elsevier.co.uk>
Distribution: Cygnus UNSUPPORTED Internal SGML Tools
%define ctan ftp.duke.edu:/tex-archive
# source0: %{CTAN}/macros/jadetex.tar.gz
Source0: jadetex.tgz
Patch0: jadetex-2.3-nobabel.patch
Group: Applications/Publishing
BuildRoot: /tmp/jadetexroot
%define sgmlbase /usr

#%ifos solaris
## these are local hacks for a particular system; you don't want them
#%define TEXHOMEDIR /usr/unsupported/share/texmf/tex/latex
#%define TEXWEB2CDIR /usr/unsupported/share/texmf/web2c
#%define TEXBINDIR /usr/unsupported/bin
#%else
## these are real
#%define TEXHOMEDIR %{sgmlbase}/lib/texmf/texmf/tex/latex/
#%define TEXWEB2CDIR %{sgmlbase}/lib/texmf/texmf/web2c
#%define TEXBINDIR %{sgmlbase}/lib/texmf/bin/i686-linux
#%endif

%description
JadeTeX contains the additional LaTeX macros necessary for taking Jade
TeX output files and processing them as LaTeX files.

%prep
%setup -n jadetex
%patch -p2 -b .nobabel 
%build

#latex jadetex.ins
#initex \&latex jadetex.ltx '\dump'
make -f Makefile.jadetex

%install

rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{sgmlbase}/bin
mkdir -p $RPM_BUILD_ROOT%{sgmlbase}/share/texmf/web2c
mkdir -p $RPM_BUILD_ROOT%{sgmlbase}/share/tex/jadetex

#mkdir -p $RPM_BUILD_ROOT%{WTEX}
#mv jadetex/jadetex.fmt $RPM_BUILD_ROOT%{WTEX}/jadetex.fmt
#mkdir -p $RPM_BUILD_ROOT%{BTEX}
#ln -s virtex $RPM_BUILD_ROOT%{BTEX}/jadetex
#mkdir -p $RPM_BUILD_ROOT%{sgmlbase}/bin
###ln -s %{BTEX}/jadetex $RPM_BUILD_ROOT%{sgmlbase}/bin/jadetex
#ln -s virtex $RPM_BUILD_ROOT%{sgmlbase}/bin/jadetex
make -f Makefile.jadetex install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{sgmlbase}/bin
ln -s %{sgmlbase}/bin/virtex $RPM_BUILD_ROOT%{sgmlbase}/bin/jadetex
ln -s %{sgmlbase}/bin/pdfvirtex $RPM_BUILD_ROOT%{sgmlbase}/bin/pdfjadetex

%define TEXMFMAIN `kpsewhich -expand-var '$TEXMFMAIN'`
echo "dude cd ../texmfmain is $TEXMFMAIN"

%post
# let the system know about it!
texhash

%files

%attr(- root root) %{sgmlbase}/share/texmf/web2c/jadetex.fmt
%attr(- root root) %{sgmlbase}/share/texmf/web2c/pdfjadetex.fmt
%attr(- root root) %{sgmlbase}/share/texmf/tex/jadetex/*

%attr(- root root) %{sgmlbase}/bin/jadetex
%attr(- root root) %{sgmlbase}/bin/pdfjadetex

%changelog

* Mon Apr 26 1999 Owen Taylor <otaylor@redhat.com>
- Remove use of babel to get .fmt file to rebuild correctly

